Bug 1028493 - hg-git needs python module ordereddict
Summary: hg-git needs python module ordereddict
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: hg-git
Version: el6
Hardware: noarch
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-08 15:15 UTC by Randy Zagar
Modified: 2013-11-24 18:37 UTC (History)
1 user (show)

Fixed In Version: hg-git-0.4.0-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-18 21:07:23 UTC


Attachments (Terms of Use)
updated spec file that requires python-ordereddict (1.68 KB, text/x-rpm-spec)
2013-11-08 15:15 UTC, Randy Zagar
no flags Details

Description Randy Zagar 2013-11-08 15:15:26 UTC
Created attachment 821678 [details]
updated spec file that requires python-ordereddict

Description of problem:
The mercurial extension "hg-git" will not work without the python module "ordereddict".  An additional "Require" statement is needed

    Require: python-ordereddict

Version-Release number of selected component (if applicable):
hg-git-0.4.0-1.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. yum -y install hg-git
2. python -c "import hggit"
3.

Actual results:

    prompt# python -c "import hggit"
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/usr/lib/python2.6/site-packages/hggit/__init__.py", \
          line 42, in <module>
        import gitrepo, hgrepo
      File "/usr/lib/python2.6/site-packages/hggit/gitrepo.py", \
          line 13, in <module>
        from git_handler import GitHandler
      File "/usr/lib/python2.6/site-packages/hggit/git_handler.py", \
          line 29, in <module>
        import util
      File "/usr/lib/python2.6/site-packages/hggit/util.py", \
          line 5, in <module>
        from ordereddict import OrderedDict
    ImportError: No module named ordereddict

Expected results:

    prompt# python -c "import hggit"
    prompt#


Additional info:

Comment 1 Christopher Meng 2013-11-08 15:34:59 UTC
Confirmed at util.py.

Comment 2 Fedora Update System 2013-11-08 15:51:51 UTC
hg-git-0.4.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/hg-git-0.4.0-2.el6

Comment 3 Fedora Update System 2013-11-08 15:52:56 UTC
hg-git-0.4.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hg-git-0.4.0-3.fc20

Comment 4 Fedora Update System 2013-11-08 15:53:48 UTC
hg-git-0.4.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hg-git-0.4.0-3.fc19

Comment 5 Fedora Update System 2013-11-08 16:04:13 UTC
hg-git-0.4.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hg-git-0.4.0-3.fc18

Comment 6 Fedora Update System 2013-11-08 17:58:29 UTC
Package hg-git-0.4.0-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing hg-git-0.4.0-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12062/hg-git-0.4.0-2.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-11-18 21:07:23 UTC
hg-git-0.4.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-11-19 05:22:07 UTC
hg-git-0.4.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-11-19 05:28:37 UTC
hg-git-0.4.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-11-24 18:37:52 UTC
hg-git-0.4.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.